name: FuSeBMC_IA
input_languages:
  - C
project_url: https://github.com/Mohannad-Aldughaim/FuSeBMC_IA
repository_url: https://github.com/kaled-alshmrany/FuSeBMC
spdx_license_identifier: MIT
benchexec_toolinfo_module: "https://gitlab.com/sosy-lab/software/benchexec/-/raw/main/benchexec/tools/fusebmc.py"
fmtools_format_version: "2.0"
fmtools_entry_maintainers:
  - Mohannad-Aldughaim

maintainers:
  - name: Mohannad Aldughaim
    institution: University of Manchester / King Saud University
    country: UK / Saudi Arabia
    url: https://www.research.manchester.ac.uk/portal/mohannad.aldughaim.html

versions:
  - version: "testcomp24"
    doi: "10.5281/zenodo.10199336"
    benchexec_toolinfo_options: ["-s", "incr"]
    required_ubuntu_packages: []
  - version: "testcomp23"
    url: "https://gitlab.com/sosy-lab/test-comp/archives-2023/-/raw/main/2023/FuSeBMC_IA.zip"
    benchexec_toolinfo_options: ["-s", "incr"]
    required_ubuntu_packages: []

competition_participations:
  - competition: "Test-Comp 2024"
    track: "Test Generation"
    tool_version: "testcomp24"
    jury_member:
      name: Mohannad Aldughaim
      institution: University of Manchester / King Saud University
      country: UK / Saudi Arabia
      url: https://www.research.manchester.ac.uk/portal/mohannad.aldughaim.html
  - competition: "Test-Comp 2023"
    track: "Test Generation"
    tool_version: "testcomp23"
    jury_member:
      name: Mohannad Aldughaim
      institution: University of Manchester / King Saud University
      country: UK / Saudi Arabia
      url: https://www.research.manchester.ac.uk/portal/mohannad.aldughaim.html

techniques:
  - Bounded Model Checking
  - Floating-Point Arithmetics
  - Guidance by Coverage Measures
  - Targeted Input Generation
  - Portfolio
